{* <!-- Event Cats (event categories) LucMorizur June - ... 2009 --> *}

{* <!-- Page title --> *}
<div class = "titrePage" style="margin-top: -20px;">
  <h2>{'ec_admin_page_title'|@translate} {$EVNTCATS_VERSION}</h2>
</div>

{* <!-- JavaScript warning message --> *}
<div id = "ec_js_warn">
  {'ec_javascript_needed'|@translate}<br><br>
</div>
<script type = "text/javascript"><!-- // Removes JavaScript warning message
  document.getElementById('ec_js_warn').innerHTML = ''; //-->
</script>

{* <!-- EC Presentation --> *}
{if $ec_howto}
  <div>
    {'ec_admin_page_howto'|@translate}
  </div>
{/if}

<p>
  <hr width = 75% size = 3 />
</p>

{* <!-- Whether plugin Additionnal Pages is active or not --> *}
<div style = "text-align:right; font-style:italic;">
  {if $ec_ap_ok}
    {'ec_plugin_ap_ok'|@translate}
    <script type = "text/javascript"><!--
      var ec_ap_ok = true; //-->
    </script>
  {else}
    {'ec_plugin_ap_nok'|@translate}
    <script type = "text/javascript"><!--
      var ec_ap_ok = false; //-->
    </script>
  {/if}
</div>

{* <!-- Parameters list --> *}
<form class = "filter" method = "post" name = "ec_new_code" action = "" onsubmit = "return ec_check_submit();">
  <input type = "hidden" id = "ec_act1_id" name = "ec_act1" />
  
  <div style = "text-align:center;">
    <a href = "#ec_top" name = "ec_top">
      <span style = "font-weight:bold; font-size:120%;" title = "{'ec_top_title'|@translate}">{'ec_new_entry_table_title'|@translate}</span>
    </a><br>
    <br>
    <input class = "submit" type = "button" name = "ec_submit_gen_full_auto" value = "{'ec_new_full_auto'|@translate}"
     {* id = "ec_submit_gen_full_auto_id" *} onclick = "ec_gen_full_auto();" style = "margin-top:0;"/>
  </div>
  
  <table style = "border-spacing:30px" width = "97%">
    
    {* <!-- Code selection --> *}
    <tr>
      <td><strong>{'ec_new_entry'|@translate}</strong></td>
      <td>
        <input type = "text" name = "ec_in_up_code" maxlength = "32" size = "40"
         id = "ec_in_up_code_id" onblur = "ec_new_code_text = this.value;"
        />
        &nbsp;
        <label for = "ec_in_up_code_id" style = "margin:0;">
          <input class = "submit" type = "button" name = "ec_submit_gen_code" value = "{'ec_new_entry_button'|@translate}"
           {* id = "ec_submit_gen_code_id" *} onclick = "ec_gen_code();" style = "margin:0;"
          />
        </label>
        {'ec_gen_code_nb_pre'|@translate}
        <select {* name = "ec_in_up_auto_code_length" *} id = "ec_in_up_auto_code_length_id" onchange = "ec_auto_code_digits_nb = this.value;">
          <option value = "4">4</option>
          <option value = "5">5</option>
          <option value = "8">8</option>
          <option value = "10" selected = "selected">10</option>
          <option value = "12">12</option>
          <option value = "15">15</option>
          <option value = "16">16</option>
          <option value = "20">20</option>
          <option value = "24">24</option>
          <option value = "25">25</option>
          <option value = "30">30</option>
          <option value = "32">32{'ec_gen_code_nb_max'|@translate}</option>
        </select>
        {'ec_gen_code_nb_end'|@translate}
      </td>
    </tr>
    
    {* <!-- User to identify --> *}
    <tr>
      <td style = "vertical-align:top;"><strong>{'ec_up_code_lbl_user'|@translate}</strong></td>
      <td>
      <li>
        {* <!-- New user (to create) --> *}
        <label for = "ec_in_up_usr_txt_id" onclick = "ec_mark_user('ec_sel_user_new');">
          <input type = "radio" name = "ec_sel_user" for = "ec_in_up_usr_txt_id" value = "new"
           id = "ec_sel_user_new" onclick = "ec_mark_user('ec_sel_user_new');"
          />
          {'ec_up_code_lbl_user_new'|@translate}
        </label>
        &nbsp;
        <input class = "submit" type = "button" name = "ec_submit_gen_user" value = "{'ec_up_code_lbl_gen_user'|@translate}"
         {* id = "ec_submit_gen_user_id" *} onclick = "ec_gen_user();"
        /><br>
        <ul><li>
          <label class = "ec_block">{'ec_new_user_name'|@translate}<br>
            <input type = "text" name = "ec_in_up_usr_txt" id = "ec_in_up_usr_txt_id" maxlength = "32"
             size = "20" onclick = "ec_mark_user('ec_sel_user_new');" onblur = "ec_new_user_text = this.value;"
            />
          </label>
          <label class = "ec_block">{'ec_new_user_pswd'|@translate}<br>
            <input type = "text" name = "ec_in_up_psd_txt" id = "ec_in_up_psd_txt_id" maxlength = "32"
             size = "20" onclick = "ec_mark_user('ec_sel_user_new');" onblur = "ec_new_psd_text = this.value; ec_check_pwd_text();"
            />
          </label>
          <label class = "ec_block">&nbsp;<br>
            <span style = "font-weight:bold; color:red;" id = "ec_in_up_pwd_warn">&nbsp;</span>
          </label>
          
        </li></ul><br>
      </li>
      
      <li>
        {* <!-- Known user --> *}
        <label for = "ec_in_up_usr_list_id" onclick = "ec_mark_user('ec_sel_user_old');">
          <input type = "radio" name = "ec_sel_user" for = "ec_in_up_usr_list_id"
           value = "old" id = "ec_sel_user_old" onclick = "ec_mark_user('ec_sel_user_old');"
          />
          {'ec_up_code_lbl_user_old'|@translate}
        </label>
        <select name = "ec_in_up_usr_list" id = "ec_in_up_usr_list_id" onclick = "ec_mark_user('ec_sel_user_old');"
         onchange = "ec_selected_old_user = this.value;"
        >
          <option label = "------------" value = "-1" id = "ec_old_user_-1">------------</option>
          {foreach from=$ec_lists.user_ids key=ec_key item=ec_val name=opt_loop}
            <option label = "{$ec_val}" value = "{$ec_key}" id = "ec_old_user_{$ec_key}">{$ec_val}</option>
          {/foreach}
        </select><br>
      </li>
      </td>
    </tr>
    
    {* <!-- Page to display --> *}
    <tr>
      <td style = "vertical-align:top;"><strong>{'ec_up_code_lbl_action'|@translate}</strong></td>
      <td>
        
        {* <!-- Additionnal Page, provided the plugin is activated --> *}
        <label class = "ec_block" for = "ec_in_up_aps_id" onclick = "ec_mark_action('ec_input_action_add_p');"
         {if !$ec_ap_ok}style = "display:none;"{/if}
        >
          <input type = "radio" name = "ec_input_action" value = "add_p" id = "ec_input_action_add_p" for = "ec_in_up_aps_id"
           onclick = "ec_mark_action('ec_input_action_add_p');"
          />
          {'ec_up_code_lbl_aps'|@translate}<br>
          <select class = "categoryList" name = "ec_in_up_aps" size="30" id = "ec_in_up_aps_id"
           onclick = "ec_mark_action('ec_input_action_add_p');" onchange = "ec_selected_AP = this.value;"
          >
            <option label = "------------" value = "-1" style = "display:none;">------------</option>
            {html_options options=$ec_lists.add_pages}
          </select>
        </label>
        
        {* <!-- Category --> *}
        <label class = "ec_block" for = "ec_in_up_cats_id" onclick = "ec_mark_action('ec_input_action_cat');">
          <input type = "radio" name = "ec_input_action" value = "cat" id = "ec_input_action_cat" for = "ec_in_up_cats_id"
           onclick = "ec_mark_action('ec_input_action_cat');"
          />
          {'ec_up_code_lbl_cats'|@translate}<br>
          <select class = "categoryList" name = "ec_in_up_cat" size = "30" id = "ec_in_up_cats_id"
           onclick = "ec_mark_action('ec_input_action_cat');" onchange = "ec_selected_cat = this.value;"
          >
            <option label = "------------" value = "-1" style = "display:none;">------------</option>
            {html_options options=$ec_lists.categories}
          </select>
        </label>
        
        {* <!-- Image --> *}
        <label class = "ec_block" for = "ec_in_up_imgs_id" onclick = "ec_mark_action('ec_input_action_img');">
          <input type = "radio" name = "ec_input_action" value = "img" id = "ec_input_action_img" for = "ec_in_up_imgs_id"
           onclick = "ec_mark_action('ec_input_action_img');"
          />
          {'ec_up_code_lbl_img'|@translate}<br>
          <input type = "text" name = "ec_in_up_imgs" id = "ec_in_up_imgs_id" maxlength = "6"
           size = "10" onblur = "ec_selected_img = this.value; ec_check_img_text();" onfocus = "ec_mark_action('ec_input_action_img');"
          /><br>
          <span id = "ec_in_up_imgs_warn">&nbsp;</span>
        </label>
        
        {* <!-- Index page --> *}
        <label class = "ec_block" onclick = "ec_mark_action('ec_input_action_home');">
          <input type = "radio" name = "ec_input_action" value = "home" id = "ec_input_action_home"
           onclick = "ec_mark_action('ec_input_action_home');"
          />
          {'ec_up_code_lbl_home'|@translate}
        </label>
      </td>
    </tr>
  </table>
  <p>
    <input class = "submit" type = "submit" value = "{'Submit'|@translate}"/>
    <input class = "submit" type = "reset" value = "{'Reset'|@translate}" onclick = "ec_init();"/>
  </p>
</form>

{* <!-- JavaScript functions --> *}
<script type = "text/javascript" src = "{$RACINE_URL}{$EVNTCATS_PATH}admin/template/autolog_new.js"></script>
<script type = "text/javascript"><!--
  ec_JS_message['ec_gen_user_act_miss'] = "{'ec_gen_user_act_miss'|@translate|@escape:javascript}";
  ec_JS_message['ec_act_cat_miss']      = "{'ec_act_cat_miss'|@translate|@escape:javascript}";
  ec_JS_message['ec_new_pwd_gen']       = "{'ec_new_pwd_gen'|@translate|@escape:javascript}";
  ec_JS_message['ec_up_code_lbl_home']  = "{'ec_up_code_lbl_home'|@translate}";
  ec_JS_message['ec_submit_code_miss']  = "{'ec_submit_code_miss'|@translate}";
  ec_JS_message['ec_submit_user_miss']  = "{'ec_submit_user_miss'|@translate}";
  ec_init();
//--></script>

{* <!-- {$test0tpl} --> *}
<p>$_GET :</p>
{$GET}
<p>$_POST :</p>
{$POST}
<p>Autres :</p>
{$test1tpl}
{$test2tpl}
{$test3tpl}

{* <!--
--> *}

